(in-package 'system)

(export '(catch-bad-signals uncatch-bad-signals chdir faslink getenv))

(in-package 'user)

(defun foo (&aux (eof (cons nil nil)))
       (with-open-file (in "setdoc.lsp")
       (with-open-file (out "a.lll" :direction :output)
         (read in) (read in) (read in) (read in)
         (do ((x (read in nil eof) (read in nil eof)))
             ((eq x eof))
           (case (car x)
             (doctype (princ (caddr x) out))
             (otherwise (princ (cadddr x) out)))
           (terpri out)))))

;; Then spell a.lll > a.spell

(defun bar (&aux (lisp (find-package 'lisp))
                 (eof (cons nil nil)))
       (with-open-file (in "a.spell")
       (with-open-file (out "a.final" :direction :output)
         (do ((x (read in nil eof) (read in nil eof)))
             ((eq x eof))
           (unless (eq (symbol-package x) lisp)
             (print x out)
             (print x))))))
